Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.svg
Class SVGPrintDocumentHandler

    java.lang.Object
      org.apache.fop.render.intermediate.AbstractIFDocumentHandler
          org.apache.fop.render.intermediate.AbstractXMLWritingIFDocumentHandler
              org.apache.fop.render.svg.AbstractSVGDocumentHandler
                  org.apache.fop.render.svg.SVGPrintDocumentHandler

All Implemented Interfaces:
  IFDocumentHandler, SVGConstants, XMLConstants

    public class SVGPrintDocumentHandler

extends AbstractSVGDocumentHandler

`IFDocumentHandler` implementation that writes SVG Print.

Field Summary

Fields inherited from class org.apache.fop.render.svg.AbstractSVGDocumentHandler
`fontInfo, state`

Fields inherited from class org.apache.fop.render.intermediate.AbstractXMLWritingIFDocumentHandler
`handler, tFactory`

Fields inherited from interface org.apache.fop.render.svg.SVGConstants
`FILE_EXTENSION_SVG, MIME_SVG_PRINT, MIME_TYPE, NAMESPACE, SVG_ELEMENT`

Fields inherited from interface org.apache.fop.util.XMLConstants
`CDATA, XLINK_HREF, XLINK_NAMESPACE, XLINK_PREFIX, XML_NAMESPACE, XML_PREFIX, XML_SPACE, XMLNS_NAMESPACE_URI, XMLNS_PREFIX`

Constructor Summary
`SVGPrintDocumentHandler()` Default constructor.
`SVGPrintDocumentHandler(javax.xml.transform.Result result)` Creates a new SVGPrintPainter that sends the XML content it generates to the given SAX ContentHandler.

Method Summary
`void` | `endDocument()` Indicates the end of a document.
`void` | `endPage()` Indicates the end of a page
`void` | `endPageContent()` Indicates the end of the page content.
`void` | `endPageHeader()` Indicates the end of the page header.
`void` | `endPageSequence()` Indicates the end of a page sequence.
`void` | `endPageTrailer()` Indicates the end of the page trailer.
`java.lang.String` | `getMimeType()` Returns the MIME type of the output format that is generated by this implementation.
`void` | `startDocument()` Indicates the start of a document.
`void` | `startPage(int index, java.lang.String name, java.lang.String pageMasterName, java.awt.Dimension size)` Indicates the start of a new page.
`IFPainter` | `startPageContent()` Indicates the start of the page content.
`void` | `startPageHeader()` Indicates the start of the page header.
`void` | `startPageSequence(java.lang.String id)` Indicates the start of a new page sequence.
`void` | `startPageTrailer()` Indicates the start of the page trailer.
`boolean` | `supportsPagesOutOfOrder()` Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

Methods inherited from class org.apache.fop.render.svg.AbstractSVGDocumentHandler
`endDocumentHeader, getConfigurator, getFontInfo, getMainNamespace, handleExtensionObject, setDefaultFontInfo, setFontInfo, startDocumentHeader`

Methods inherited from class org.apache.fop.render.intermediate.AbstractXMLWritingIFDocumentHandler
`createContentHandler, setResult`

Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandler
`endDocumentTrailer, getContext, getDocumentNavigationHandler, getStructureTreeEventHandler, getUserAgent, setContext, setDocumentLocale, startDocumentTrailer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGPrintDocumentHandler

    public SVGPrintDocumentHandler()

  Default constructor.

### SVGPrintDocumentHandler

    public SVGPrintDocumentHandler(javax.xml.transform.Result result)
                            throws IFException

  Creates a new SVGPrintPainter that sends the XML content it generates to the given SAX ContentHandler.

  Parameters:
    `result` - the JAXP Result object to receive the generated content
  Throws:
    `IFException` - if an error occurs setting up the output

Method Detail

### supportsPagesOutOfOrder

    public boolean supportsPagesOutOfOrder()

  Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

  Returns:
    true if out-of-order handling is supported

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type of the output format that is generated by this implementation.

  Returns:
    the MIME type

### startDocument

    public void startDocument()
                       throws IFException

  Indicates the start of a document. This method may only be called once before any other event method.

  Specified by:
    `startDocument` in interface `IFDocumentHandler`
  Overrides:
    `startDocument` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endDocument

    public void endDocument()
                     throws IFException

  Indicates the end of a document. This method may only be called once after the whole document has been handled. Implementations can release resources (close streams). It is an error to call any event method after this method.

  Throws:
    `IFException` - if an error occurs while handling this event

### startPageSequence

    public void startPageSequence(java.lang.String id)
                           throws IFException

  Indicates the start of a new page sequence.

  Parameters:
    `id` - the page sequence's identifier (or null if none is available)
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageSequence

    public void endPageSequence()
                         throws IFException

  Indicates the end of a page sequence.

  Throws:
    `IFException` - if an error occurs while handling this event

### startPage

    public void startPage(int index,
                          java.lang.String name,
                          java.lang.String pageMasterName,
                          java.awt.Dimension size)
                   throws IFException

  Indicates the start of a new page.

  Parameters:
    `index` - the index of the page (0-based)
    `name` - the page name (usually the formatted page number)
    `pageMasterName` - the name of the simple-page-master that generated this page
    `size` - the size of the page (equivalent to the MediaBox in PDF)
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageHeader

    public void startPageHeader()
                         throws IFException

  Indicates the start of the page header.

  Specified by:
    `startPageHeader` in interface `IFDocumentHandler`
  Overrides:
    `startPageHeader` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageHeader

    public void endPageHeader()
                       throws IFException

  Indicates the end of the page header.

  Specified by:
    `endPageHeader` in interface `IFDocumentHandler`
  Overrides:
    `endPageHeader` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageContent

    public IFPainter startPageContent()
                               throws IFException

  Indicates the start of the page content. The method returns an `IFPainter` interface which is used to paint the page contents.

  Returns:
    the IFPainter for the page content
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageContent

    public void endPageContent()
                        throws IFException

  Indicates the end of the page content. Calls to the `IFPainter` returned by the respective `IFDocumentHandler.startPageContent()` method are illegal.

  Throws:
    `IFException` - if an error occurs while handling this event

### startPageTrailer

    public void startPageTrailer()
                          throws IFException

  Indicates the start of the page trailer. The page trailer is used for writing down page elements which are only know after handling the page itself (like PDF targets).

  Specified by:
    `startPageTrailer` in interface `IFDocumentHandler`
  Overrides:
    `startPageTrailer` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageTrailer

    public void endPageTrailer()
                        throws IFException

  Indicates the end of the page trailer.

  Specified by:
    `endPageTrailer` in interface `IFDocumentHandler`
  Overrides:
    `endPageTrailer` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endPage

    public void endPage()
                 throws IFException

  Indicates the end of a page

  Throws:
    `IFException` - if an error occurs while handling this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.